Vulnerability CVE-2004-0493


Published: 2004-08-06   Modified: 2012-02-12

Description:
The ap_get_mime_headers_core function in Apache httpd 2.0.49 allows remote attackers to cause a denial of service (memory exhaustion), and possibly an integer signedness error leading to a heap-based buffer overflow on 64 bit systems, via long header lines with large numbers of space or tab characters.

CVSS2 => (AV:N/AC:L/Au:N/C:N/I:P/A:P)

CVSS Base Score
Impact Subscore
Exploitability Subscore
6.4/10
4.9/10
10/10
Exploit range
Attack complexity
Authentication
Remote
Low
No required
Confidentiality impact
Integrity impact
Availability impact
None
Partial
Partial
Affected software
Trustix -> Secure linux 
IBM -> Http server 
Gentoo -> Linux 
Avaya -> Converged communications server 
Avaya -> S8300 
Avaya -> S8500 
Avaya -> S8700 
Apache -> Http server 

 References:
http://lists.grok.org.uk/pipermail/full-disclosure/2004-June/023133.html
http://marc.info/?l=bugtraq&m=108853066800184&w=2
http://marc.info/?l=bugtraq&m=109181600614477&w=2
http://security.gentoo.org/glsa/glsa-200407-03.xml
http://www.apacheweek.com/features/security-20
http://www.guninski.com/httpd1.html
http://www.mandriva.com/security/advisories?name=MDKSA-2004:064
http://www.redhat.com/support/errata/RHSA-2004-342.html
http://www.securityfocus.com/bid/10619
http://www.trustix.org/errata/2004/0039/
https://exchange.xforce.ibmcloud.com/vulnerabilities/16524
https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A10605

Copyright 2021, cxsecurity.com

 

Back to Top